package com.jkcredit.invoice.hub.model.po.contractQuery;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/3 9:51
 * @version: V1.0
 **/
@Data
@ToString
@Entity
@TableName("h_contract_query")
public class ContractQueryPo implements Serializable {
    private static final long serialVersionUID = -5116042264745644342L;

    @Id
    @TableId(type = IdType.AUTO)
    private Long id;
    private String companyNum;
    private String contractNum;
    private String authName;
    private String companyName;
    private String signTime;
    private Integer serviceType;
    private String cardServiceStartTime;
    private String cardServiceEndTime;
    private Integer auditStatus;
    private String auditResult;
    private String msg;
    private Integer activated;
    private Date createTime;
    private Date updateTIme;
}
