package com.jkcredit.invoice.hub.controller.web.contract.fb;

import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/3 12:10
 * @version: V1.0
 **/
@Data
public class ContractFB implements Serializable {
    private static final long serialVersionUID = 8604201983594731839L;
    @NotNull(message = "公司名称不能为空")
    @NotEmpty(message = "公司名称不能为空")
    private String companyName;

    @NotNull(message = "公司编号不能为空")
    @NotEmpty(message = "公司编号不能为空")
    private String companyNum;

    @NotNull(message = "服务开始时间不能为空")
    @NotEmpty(message = "服务开始时间不能为空")
    private String serviceStartTime;

    @NotNull(message = "服务等级不能为空")
    private Integer serviceType;

    @NotNull(message = "服务结束时间不能为空")
    @NotEmpty(message = "服务结束时间不能为空")
    private String serviceEndTime;

    @NotNull(message = "协议文件不能为空")
    private MultipartFile contract;
}
