package com.jkcredit.invoice.hub.model.po.carFreeCarrierBillEnd;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/17 15:56
 * @version: V1.0
 **/
@Entity
@Data
@ToString
@TableName("h_car_free_carrier_bill_end")
public class CarFreeCarrierBillEndPo implements Serializable {
    private static final long serialVersionUID = -8472145911373573999L;
    @Id
    @TableId(type = IdType.AUTO)
    private Integer id;

    // 运单编号
    private String num;

    // 运单实际目的地址
    private String realDestAddr;

    // 结束时间
    private String endTime;

    // 是否为历史运单
    private Integer isHistory;

    // 用户id
    private Long userId;

    // 创建时间
    private Date createTime;

    // 更新时间
    private Date updateTime;

    // 删除标记
    private Integer activated;
}
