package com.jkcredit.invoice.hub.model.po.contract;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/3 9:47
 * @version: V1.0
 **/
@Entity
@Data
@ToString
@TableName("h_contract")
public class ContractPo implements Serializable {
    private static final long serialVersionUID = 8794600846567944961L;

    @Id
    @TableId(type = IdType.AUTO)
    private Long id;
    private String companyName;
    private String companyNum;
    private String serviceStartTime;
    private Integer serviceType;
    private String serviceEndTime;
    private String contractFileName;
    private String base64Str;
    private String contractNum;
    private Integer activated;
    private Date createTime;
    private Date updateTime;
}
